Installing with TB 7.0 (@ Andy) Rated 5 out of 5 stars

Then, try with 7.0 instead of 7.* (again, making sure you're editing the correct <em:maxVersion> value for TB, not SeaMonkey or SpiceBird). Have you removed your old version of Lookout and downloaded a fresh XPI file from this site before installing the modified package? I have used this trick for my own build of Thunderbird (7.0.1) and it does work on my side. Hope it helps.

This review is for a previous version of the add-on (1.2.12). 

awaiting review

The compatible version has been awaiting review.

Installing in TB 7.0 Rated 5 out of 5 stars

To install this build in TB 7.0, open the "install.rdf" file in the XPI package (with 7zip and the notepad for example) and change the "<em:maxVersion>" value to "7.0" or "7.*" (without quotes, naturally). Just make sure you modify the correct setting for Thunderbird, not SeaMonkey or SpiceBird. Then save the updated file in the XPI, install in TB and you're done.

This review is for a previous version of the add-on (1.2.12).